Loading...
Searching...
No Matches
gsm411_rp_hdr Struct Reference

`#include <gsm_04_11.h>`

## Data Fields

uint8_t | len
uint8_t | msg_type
uint8_t | msg_ref
uint8_t | data [0]

## Field Documentation

## data

uint8_t gsm411_rp_hdr::data[0]

## len

uint8_t gsm411_rp_hdr::len

Referenced by gsm411_push_rp_header(), and gsm411_rp_sendmsg().

## msg_ref

uint8_t gsm411_rp_hdr::msg_ref

Referenced by gsm411_mnsms_data_ind_tx(), gsm411_mnsms_est_ind(), gsm411_push_rp_header(), and gsm411_rp_sendmsg().

## msg_type

uint8_t gsm411_rp_hdr::msg_type

Referenced by gsm411_mnsms_data_ind_tx(), gsm411_mnsms_est_ind(), gsm411_push_cp_header(), gsm411_push_rp_header(), and gsm411_rp_sendmsg().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_04_11.h